version: '2'

volumes:
  nextcloud:

services:
  nextcloud:
    image: nextcloud
    volumes:
      - nextcloud:/var/www/html
    restart: always
    labels:
     - "traefik.backend=nextcloud"
     - "traefik.docker.network=web"
     - "traefik.frontend.rule=PathPrefixStrip: /nc/"
     - "traefik.enable=true"
     - "traefik.port=80"
    networks:
     - "web"

networks:
        #db:
  web:
    external: true
